Name:           thunar-vcs-plugin
Version:        0.2.0
Release:        1
Summary:        Version Contol System plugin for the Thunar filemanager
License:        GPLv2+
#Group:          Development/Libraries
URL:            http://goodies.xfce.org/projects/thunar-plugins/%{name}
Source0:        http://archive.xfce.org/src/thunar-plugins/%{name}/0.2/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc-c++
BuildRequires:  Thunar-devel >= 1.8.0
BuildRequires:  subversion-devel >= 1.5
BuildRequires:  apr-devel >= 0.9.7
BuildRequires:  e2fsprogs-devel
BuildRequires:  uuid-devel
BuildRequires:  libuuid-devel
BuildRequires:  gettext, intltool

Requires:       Thunar >= 1.8.0
Requires:       subversion
Requires:       git
Provides:       thunar-svn-plugin = %{version}-%{release}

%description
Git and Subversion integration into the Thunar file manager.
The current features are:
* Most of the SVN actions: add, blame, checkout, cleanup, commit, copy, 
  delete, export, import, lock, log, move, properties, relocate, resolved, 
  revert, status, switch, unlock and update
* Subversion info in file properties dialog
* Basic GIT actions: add, blame, branch, clean, clone, log, move, reset, stash 
  and status

%prep
%setup -q

%build
%configure --disable-static --enable-subversion --enable-git
# remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install

%make_install

# remove la file
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/thunarx-*/%{name}.so
%{_libexecdir}/tvp-svn-helper
%{_libexecdir}/tvp-git-helper
%{_datadir}/icons/hicolor/*/apps/subversion.png
%{_datadir}/icons/hicolor/*/apps/git.png

%changelog
* Tue Jul 28 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 0.2.0-23
- Init package
